'use strict';

var _chai = require('chai');

var _webpack = require('webpack');

var _webpack2 = _interopRequireDefault(_webpack);

var _index = require('./index');

var _index2 = _interopRequireDefault(_index);

var _webpack3 = require('../test/webpack.config');

var _webpack4 = _interopRequireDefault(_webpack3);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('Webpack watch file', function () {
  it('Should say ok', function (done) {
    var plugin = new _index2.default({
      files: ['./test/*.include.js', '!./test/*.exclude.js']
    });

    var compiler = (0, _webpack2.default)(_webpack4.default);
    compiler.apply(plugin);
    compiler.run(function (err, stats) {
      if (err) {
        throw err;
      }

      var files = stats.compilation.fileDependencies;
      (0, _chai.expect)(files).to.be.an('array').that.includes(_path2.default.join(process.cwd(), './test/file.include.js')).that.not.includes(_path2.default.join(process.cwd(), './test/file.exclude.js'));
      done();
    });
  });
}); /* global describe, it */